#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=azgir4.14_base.ps
projection=-JM16.0c+
region=-R47.8/48.3/47.7/48.0
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map azgir4.14' -K > $psfile
gmt grdcut tables/gmt/dem/custom/azgir_srtm1.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grd2cpt mloc.grd -Ctables/gmt/cpt/topo.cpt > mloc.cpt
palette=-Cmloc.cpt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd mloc.cpt
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    47.908    47.909
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    47.888    48.134
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    47.869    48.133
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    47.851    48.117
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    47.856    48.165
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    47.929    48.125
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    47.883    48.120
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    47.843    48.142
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.884    47.937
    47.882    47.937
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.909    47.912
    47.908    47.909
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.882    47.937
    47.908    47.909
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.862    48.164
    47.863    48.162
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.897    48.133
    47.888    48.134
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.863    48.162
    47.888    48.134
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.844    48.161
    47.844    48.161
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.870    48.150
    47.869    48.133
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.844    48.161
    47.869    48.133
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.826    48.146
    47.826    48.146
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.850    48.120
    47.851    48.117
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.826    48.146
    47.851    48.117
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.831    48.193
    47.830    48.193
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.860    48.160
    47.856    48.165
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.830    48.193
    47.856    48.165
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.904    48.153
    47.903    48.153
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.920    48.120
    47.929    48.125
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.903    48.153
    47.929    48.125
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.858    48.148
    47.857    48.148
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.880    48.120
    47.883    48.120
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.857    48.148
    47.883    48.120
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.819    48.170
    47.817    48.170
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.829    48.112
    47.843    48.142
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
    47.817    48.170
    47.843    48.142
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
    47.907    47.910     0.200
    47.898    48.130     0.200
    47.871    48.138     0.200
    47.850    48.120     0.200
    47.857    48.161     0.200
    47.919    48.124     0.200
    47.880    48.120     0.200
    47.852    48.143     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    47.907    47.910     0.000     0.400     0.400
    47.898    48.130     0.000     0.400     0.400
    47.871    48.138     0.000     0.400     0.400
    47.850    48.120     0.000     0.400     0.400
    47.857    48.161     0.000     0.400     0.400
    47.919    48.124     0.000     0.400     0.400
    47.880    48.120     0.000     0.400     0.400
    47.852    48.143     0.000     0.400     0.400
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.907    47.910
    47.908    47.909
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.898    48.130
    47.888    48.134
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.871    48.138
    47.869    48.133
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.850    48.120
    47.851    48.117
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.857    48.161
    47.856    48.165
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.919    48.124
    47.929    48.125
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.880    48.120
    47.883    48.120
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
    47.852    48.143
    47.843    48.142
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    47.908    47.909   -69.204     1.416     1.697
    47.888    48.134   -89.384     1.087     1.349
    47.869    48.133   -65.986     1.041     1.257
    47.851    48.117   -77.114     0.877     1.101
    47.856    48.165   -77.912     0.748     0.922
    47.929    48.125   -78.040     0.815     0.979
    47.883    48.120   -84.657     0.798     1.041
    47.843    48.142   -86.558     0.935     1.279
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    47.771    47.889   -79.588     1.010     1.217
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    47.771    47.912   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    47.771    47.889     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    47.771    47.889     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    47.726    47.889   5 km
END
